AbstractView (KML Framework API)
Keywords: org.boehn.kmlframework.kml.AbstractView class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class AbstractView

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.AbstractView

Direct Known Subclasses:
  Camera, LookAt

    public abstract class AbstractView

extends KmlObject

Constructor Summary
`AbstractView()`
`AbstractView(java.lang.Double longitude, java.lang.Double latitude, java.lang.Double altitude, java.lang.Double heading, java.lang.Double tilt, AltitudeModeEnum altitudeMode)`

Method Summary
`java.lang.Double` | `getAltitude()`
`AltitudeModeEnum` | `getAltitudeMode()`
`java.lang.Double` | `getHeading()`
`java.lang.Double` | `getLatitude()`
`java.lang.Double` | `getLongitude()`
`java.lang.Double` | `getTilt()`
`void` | `setAltitude(java.lang.Double altitude)`
`void` | `setAltitudeMode(AltitudeModeEnum altitudeMode)`
`void` | `setHeading(java.lang.Double heading)`
`void` | `setLatitude(java.lang.Double latitude)`
`void` | `setLongitude(java.lang.Double longitude)`
`void` | `setTilt(java.lang.Double tilt)`
`void` | `writeInner(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId, write, writeDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractView

    public AbstractView()

### AbstractView

    public AbstractView(java.lang.Double longitude,
                        java.lang.Double latitude,
                        java.lang.Double altitude,
                        java.lang.Double heading,
                        java.lang.Double tilt,
                        AltitudeModeEnum altitudeMode)

Method Detail

### getLongitude

    public java.lang.Double getLongitude()

### setLongitude

    public void setLongitude(java.lang.Double longitude)

### getLatitude

    public java.lang.Double getLatitude()

### setLatitude

    public void setLatitude(java.lang.Double latitude)

### getAltitude

    public java.lang.Double getAltitude()

### setAltitude

    public void setAltitude(java.lang.Double altitude)

### getHeading

    public java.lang.Double getHeading()

### setHeading

    public void setHeading(java.lang.Double heading)

### getTilt

    public java.lang.Double getTilt()

### setTilt

    public void setTilt(java.lang.Double tilt)

### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()

### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum altitudeMode)

### writeInner

    public void writeInner(Kml kml)
                    throws KmlException

  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD